import { ConfigurableDate, ISODATE, RelativeConfigurableDate, RelativeDateDirection, RelativeDateDuration, StaticConfigurableDate } from 'bf-types';
import { ExpandedRelativeDate } from './ConfigurableDate.Types';
export declare function staticConfigurableDate(date: string, time: string): StaticConfigurableDate;
export declare function relativeConfigurableDate(quantifier: number, duration: RelativeDateDuration, direction: RelativeDateDirection): RelativeConfigurableDate;
export declare function isRelativeDate(date: ConfigurableDate): date is RelativeConfigurableDate;
export declare function isStaticDate(date: ConfigurableDate): date is StaticConfigurableDate;
export declare function parseRelativeDate(date: RelativeConfigurableDate): ExpandedRelativeDate;
export declare function durationOrDefault(duration: string): RelativeDateDuration;
export declare function isPluralDuration(duration: RelativeDateDuration): boolean;
export declare function depluralizeDuration(duration: RelativeDateDuration): RelativeDateDuration;
export declare function pluralizeDuration(duration: RelativeDateDuration): RelativeDateDuration;
export declare function directionOrDefault(direction: string): RelativeDateDirection;
export declare function relativeDateToStatic(relativeDate: RelativeConfigurableDate): StaticConfigurableDate;
export declare function getConfigureDateISOString(date: ConfigurableDate): ISODATE;
export declare function getConfigurableDateString(date: ConfigurableDate): string;
