import { ModuleProperty, SearchFilter, SearchFilterConstraint, SearchFilterValuePrimitives, SearchFilterValueType } from 'bf-types';
export declare type SearchFilterPair = [string | ModuleProperty, SearchFilterValueType];
export declare type PairOrFilter = SearchFilter | SearchFilterPair;
export declare function searchFilter(fieldName: string | ModuleProperty, fieldValue: SearchFilterValueType): SearchFilter;
export declare function searchFilters(...filters: PairOrFilter[]): SearchFilter[];
export declare const containsFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const containsLikeTextFitler: (fieldName: string | ModuleProperty, value: string, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const containsInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const exactMatchFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const greaterThanFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const greaterThanOrEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const inListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const lessThanFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const lessThanOrEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const likeTextFilter: (fieldName: string | ModuleProperty, value: string, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const notContainsInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const notEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const notInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: import("bf-types").NestedFieldSearchFilterConstraint | undefined) => SearchFilter;
export declare const rangeFilter: (fieldName: string | ModuleProperty, start: SearchFilterValuePrimitives, end: SearchFilterValuePrimitives) => SearchFilter;
export declare const temporalDateRangeFilter: (fieldName: string | ModuleProperty, start: SearchFilterValuePrimitives, end: SearchFilterValuePrimitives, constraint: SearchFilterConstraint) => SearchFilter;
