import { Domain, DomainModule } from 'bf-types';
import { Nullable } from './Types';
/**
 * Convert a block-5 domain name into a URI formatted string
 *
 * @param domainName The name of a block-5 domain
 */
export declare function domainToUri(domainName: Domain): string;
/**
 * Convert a block-5 module name into a URI formatted string
 *
 * @param moduleName The name of a block-5 module
 */
export declare function moduleToUri(moduleName: DomainModule): string;
/**
 * Ensure that both a domain name and module name are valid
 *
 * @param domainName The name of a block-5 domain
 * @param moduleName The name of a block-5 module
 */
export declare function validateDomainAndModule(domainName: Domain, moduleName: DomainModule): void;
/**
 * Get the domain name associated with a particular module name
 *
 * @param moduleName The name of a block-5 module
 */
export declare function getModuleDomain(moduleName: DomainModule): Nullable<Domain>;
