import { DomainModule, EnumLiteralsOf } from 'bf-types';
export declare type ValidModuleName = DomainModule;
export declare type Nullable<T> = T | null;
export declare type NexusConfig = {
    url: string;
};
export declare type ClientType = EnumLiteralsOf<typeof ClientType>;
export declare const ClientType: Readonly<{
    readonly BROWSER: "BROWSER";
    readonly NODE: "NODE";
}>;
export declare type ClientConfig = {
    type: ClientType;
};
export declare type ConnectionType = EnumLiteralsOf<typeof ConnectionType>;
export declare const ConnectionType: Readonly<{
    readonly ORGANIZATION: "ORGANIZATION";
}>;
export declare type LiveSyncConfig = {
    type: ConnectionType;
};
export declare type PartialExceptFor<T, TRequired extends keyof T> = Partial<T> & Pick<T, TRequired>;
